Pular para o conteúdo principal
PATCH
/
v1.0
/
webhooks
/
{id}
Update a webhook endpoint
curl --request PATCH \
  --url https://api.thatsme.com.br/api/v1.0/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "description": "<string>",
  "is_active": true
}
'
import requests

url = "https://api.thatsme.com.br/api/v1.0/webhooks/{id}"

payload = {
"url": "<string>",
"events": ["<string>"],
"description": "<string>",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
events: ['<string>'],
description: '<string>',
is_active: true
})
};

fetch('https://api.thatsme.com.br/api/v1.0/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

id
string
obrigatório

ID do webhook endpoint

Corpo

application/json
url
string<uri>

URL to receive webhook events

events
string[]

List of event types to subscribe to

description
string

Description for this endpoint

is_active
boolean

Whether the endpoint is active

Resposta

Webhook endpoint updated